commit:     2cdd8406a0b7db4551080854dcf3f0f8b75bc200
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  5 07:09:10 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan  5 07:23:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2cdd8406

xfce-base/libxfce4ui: Bump to 4.18.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/libxfce4ui/Manifest                 |  1 +
 xfce-base/libxfce4ui/libxfce4ui-4.18.1.ebuild | 76 +++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/xfce-base/libxfce4ui/Manifest b/xfce-base/libxfce4ui/Manifest
index c2f6d2fe70a7..a503669a7861 100644
--- a/xfce-base/libxfce4ui/Manifest
+++ b/xfce-base/libxfce4ui/Manifest
@@ -1,3 +1,4 @@
 DIST libxfce4ui-4.16.1.tar.bz2 785811 BLAKE2B 
d1267b328b7e2d07bfe85ce320da6a60d5a7d739c5ded9b213b83b0cde2061d3badc937e71c4353291ed435fb9d1294cadcc99402cdae69f4bcecf412dd525f2
 SHA512 
c183bbc75539c777fe704d0a1c4e533fdd2efb6cbc980cfedc2eaa80d0e6223db038498774ffcdc720d7f991dd8d9634183a757a4c4d1728cc9956a33cb187d0
 DIST libxfce4ui-4.17.9.tar.bz2 894716 BLAKE2B 
0ff31216faee9c7a06524bf311103b4bb3bda4ef09adc7aa0fd028013eefdb3f9ed16334156be6c1c521d17c40358a0186133139758c9b83fa7bf8a3a133b998
 SHA512 
f433b134eba1e666ef5e6d44e90bc6d61452a5956b5c350995a4f26b461a1eb352561ea1911a51cff72d895904e7ba33c8ae096e083c452500d669fcccd7295a
 DIST libxfce4ui-4.18.0.tar.bz2 896351 BLAKE2B 
968f6c65c7de178d00285b68480fa07a10abe23d140df744498c3645bee619d092474ae46430551a48e4f86323a54c88d5c7af6a95ca99614b323cc130681e9b
 SHA512 
a88c948415dd33e4c4e9a69b9315aa8bb9c0172f563326d2c651ef6e84fa78c6bf1656def80c2f24c13f04b9f522e2c1983d0f4f009a74a8581d49049027c937
+DIST libxfce4ui-4.18.1.tar.bz2 910047 BLAKE2B 
196ded69668b27fd10d99042789e1b2b38eb1a54df6015d1c268dabbec747469d0883087c2f2dcc121f44091a4e19857d51e607ab50fe2aaa20b3b3bf10ad760
 SHA512 
3bd8a52755c8542ff6952bb91bf57203605991963865f3d88896850ac5b98aec649c229d8743c1d472e6ac19ada853c428c1706aad0613a951aca1c001d9977d

diff --git a/xfce-base/libxfce4ui/libxfce4ui-4.18.1.ebuild 
b/xfce-base/libxfce4ui/libxfce4ui-4.18.1.ebuild
new file mode 100644
index 000000000000..31a8ab010145
--- /dev/null
+++ b/xfce-base/libxfce4ui/libxfce4ui-4.18.1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils vala
+
+DESCRIPTION="Unified widget and session management libs for Xfce"
+HOMEPAGE="
+       https://docs.xfce.org/xfce/libxfce4ui/start
+       https://gitlab.xfce.org/xfce/libxfce4ui/
+"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="glade +introspection startup-notification system-info vala"
+REQUIRED_USE="vala? ( introspection )"
+
+DEPEND="
+       >=dev-libs/glib-2.66.0
+       >=x11-libs/gtk+-3.24.0:3[introspection?,X]
+       x11-libs/libX11
+       x11-libs/libICE
+       x11-libs/libSM
+       >=xfce-base/libxfce4util-4.17.2:=[introspection?]
+       >=xfce-base/xfconf-4.12:=
+       glade? ( dev-util/glade:3.10 )
+       introspection? ( >=dev-libs/gobject-introspection-1.66:= )
+       startup-notification? ( x11-libs/startup-notification )
+       system-info? (
+               dev-libs/libgudev
+               gnome-base/libgtop
+               >=media-libs/libepoxy-1.2
+       )
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-lang/perl
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+"
+
+src_configure() {
+       local myconf=(
+               $(use_enable introspection)
+               $(use_enable system-info glibtop)
+               $(use_enable system-info epoxy)
+               $(use_enable system-info gudev)
+               $(use_enable startup-notification)
+               $(use_enable vala)
+               $(use_enable glade gladeui2)
+               --with-vendor-info=Gentoo
+       )
+
+       use vala && vala_setup
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       emake -j1 DESTDIR="${D}" install
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to